#ifndef ACTEUR_H_INCLUDED
#define ACTEUR_H_INCLUDED

#include <iostream>
#include <vector>
#include <box2d/box2d.h>
#include "acteur.h"
#include "description.h"

class AABBSightQuery : public b2QueryCallback
{
public:
	AABBSightQuery();
	~AABBSightQuery();

	// Manimulation de la liste d'entités
	void clearData();
	bool ReportFixture( b2Fixture* fixture );

	// Méthode pour utiliser le réseau
	void* getData();
	unsigned int getSize();
	
private:
	std::vector< Entity > m_data;
};

#endif // ACTEUR_H_INCLUDED
