#ifndef DESCRIPTION_H_INCLUDED
#define DESCRIPTION_H_INCLUDED

#define AABB_WIDTH 80.0f
#define TANK_WIDTH 1.0f
#define TIR_WIDTH 0.2f

enum DetIdx { FIN = 0, DET_TANK = 1, DET_TIR = 2 } ;

struct Entity
{
    float x ;
    float y ;
    DetIdx type ;
    unsigned int id ;
};

struct Cmd
{
	float vx ;
	float vy ;
	bool tir ;
	float tx ;
	float ty ;
};

#endif // DESCRIPTION_H_INCLUDED
