#include "AABBSightQuery.h"

AABBSightQuery::AABBSightQuery()
{
	// go
}

AABBSightQuery::~AABBSightQuery()
{
	// go
}

// Manimulation de la liste d'entités
void AABBSightQuery::clearData()
{
	m_data.clear();
}

bool AABBSightQuery::ReportFixture( b2Fixture* fixture )
{
	b2Body* body( fixture->GetBody() );

	b2Vec2 pos( body->GetPosition() );

	Acteur* myActor( (Acteur*)body->GetUserData().pointer );

	if ( myActor->idx == TIR )
	{
		m_data.push_back({ pos.x, pos.y, DET_TIR, 42 });
	}
	else
	{
		m_data.push_back({ pos.x, pos.y, DET_TANK, myActor->idx });
	}

	return true;
}

// Méthode pour utiliser le réseau
void* AABBSightQuery::getData()
{
	return m_data.data();
}

unsigned int AABBSightQuery::getSize()
{
	return m_data.size() * sizeof( Entity );
}
